
public class MyImprovedIndexOutOfBoundsException extends Exception
{
    private int lowerBound;
    private int upperBound;
    private int wrongIndex;
    
    public MyImprovedIndexOutOfBoundsException(int lowerBound, int upperBound, int wrongIndex) {
        //super();
        this.lowerBound = lowerBound;
        this.upperBound = upperBound;
        this.wrongIndex = wrongIndex;
    }
    
    //pripadne aj:
    public MyImprovedIndexOutOfBoundsException(int lowerBound, int upperBound, int wrongIndex, Throwable cause) {
        super(cause);
        this.lowerBound = lowerBound;
        this.upperBound = upperBound;
        this.wrongIndex = wrongIndex;
    }
    
    //getters
    public int getLowerBound() {
        return lowerBound;
    }
    
    public int getUpperBound() {
        return upperBound;
    }
    
    public int getWrongIndex() {
        return wrongIndex;
    }
}
